Node npm problem pri instalaciji

Node npm problem pri instalaciji

offline
  • Pridružio: 26 Feb 2015
  • Poruke: 7

Npm bi trebao da se instalira zajedno sa Node.
Preuzmem node verziju sa sajta i instaliram,ali mi se ne instalira npm.

U cmd proverim instalaciju npm-a komandom npm-v i dobijem poruku canon find module 'strip-ansi' itd...

U cemu je problem. Koja verzija pytona je kompatabilna sa Node.js . Skidao sam razne od poslednje do verzija 2.6 i 2.7.1.

Uma li neko pametan hoce da mi pomogne da resim problem. Hvala unapred.



Registruj se da bi učestvovao u diskusiji. Registrovanim korisnicima se NE prikazuju reklame unutar poruka.
offline
  • Milan
  • Pridružio: 17 Dec 2007
  • Poruke: 14583
  • Gde živiš: Niš

Napisano: 18 Okt 2016 22:13

Napiši tačnu poruku koju dobiješ bez itd.

Dopuna: 18 Okt 2016 22:14

Evo nekih predloga:
Citat:I resolved the issue by deleting the temporary npm files in my AppData folder (for me on Windows, I found it in c:\Users\Me\AppData\Roaming\npm). Then I was able to run npm normally again.Citat:Use npm cache cleanCitat:just reinstall strip using npm install strip --save this kind of error occurs because some file may be corrupt in strip library if this will not work you can try also npm install you will solve this error.



offline
  • Pridružio: 26 Feb 2015
  • Poruke: 7

Napisano: 18 Okt 2016 22:28

Pokusao sam sa npm install strip-ansi.

Hvala na zelji da se pomogne. Tacna poruka glasi:
module.js:327
throw err;

Error: Cannot find module 'strip-ansi'
at Function.Module._resolveFilename (module.js:325:15)
at Function.Module._load (module.js:276:25)
at Module.require (module.js:353:17)
at require (internal/module.js:12:17)
at Object.<anonymous> (C:User/Windows User/AppData/Roaming/npm/node_modules/npm/node_modules/npmlog/node_modules/gauge/node_modules/string-width/index.js:2:17)
at Module_compile (module.js:416:10)
at Object.Module._extension..js (module.js:416:10)
at Module.load (module.js:343:32)
at Function.Module._load (module.js:300:12)
at Module.require (module.js:353:17)

Dopuna: 18 Okt 2016 22:29

vasa.93 ::Napisano: 18 Okt 2016 22:13

Napiši tačnu poruku koju dobiješ bez itd.

Dopuna: 18 Okt 2016 22:14

Evo nekih predloga:
Citat:I resolved the issue by deleting the temporary npm files in my AppData folder (for me on Windows, I found it in c:\Users\Me\AppData\Roaming\npm). Then I was able to run npm normally again.Citat:Use npm cache cleanCitat:just reinstall strip using npm install strip --save this kind of error occurs because some file may be corrupt in strip library if this will not work you can try also npm install you will solve this error.


Hvala.Mozes li nesto konkretnije da mi kazes nakon dopune pitanja ?

offline
  • Milan
  • Pridružio: 17 Dec 2007
  • Poruke: 14583
  • Gde živiš: Niš

bogdan16 ::Pokusao sam sa npm install strip-ansi.

...

Mozes li nesto konkretnije da mi kazes nakon dopune pitanja ?
Da, ali tek nakon što probaš ostale predloge.

offline
  • Pridružio: 26 Feb 2015
  • Poruke: 7

Pokusao sam sve predloge koje sam nasao i na stack...... forumu,da ne reklamiram znas na koji mislim.
Mozda je resenje da izbrisem sve module i ponovo ih instaliram. Kako to uradim.

Ko je trenutno na forumu
 

Ukupno su 591 korisnika na forumu :: 30 registrovanih, 1 sakriven i 560 gosta   ::   [ Administrator ] [ Supermoderator ] [ Moderator ] :: Detaljnije

Najviše korisnika na forumu ikad bilo je 3466 - dana 01 Jun 2021 17:07

Korisnici koji su trenutno na forumu:
Korisnici trenutno na forumu: _Petar, A.R.Chafee.Jr., arsa, beowl, cenejac111, dane007, darios, darkangel, David, doom83, Faki-Valjevo, FOX, goxin, ivica976, ivicasimo, kybonacci, Marko Marković, pavle_pzs, Recce, repac, RJ, sakota79, StefanNBG90, stegonosa, uros, Username1000, vathra, VES 11119, Vlada1389, vlahale